## pympress 1.5.3+dfsg

=== .copr/Makefile ===
deps:
	dnf -y install python3 python3-pip python3-setuptools python3-wheel python3-babel jq

catalog: deps
	# public read-only token to download up-to-date translate strings
	poeditor_api_token=7a666b44c0985d16a7b59748f488275c ./scripts/poedit.sh download

srpm: catalog
	python3 setup.py bdist_rpm --source-only --dist-dir=$(outdir)


.PHONY:deps catalog srpm

## pympress 1.5.1+dfsg

=== debian/changelog ===
pympress (1.5.1+dfsg-3build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:22:04 +0100

pympress (1.5.1+dfsg-3) unstable; urgency=medium

  * Install icons to correct location

 -- Christopher Hoskin <mans0954@debian.org>  Fri, 10 Jan 2020 07:36:54 +0000

pympress (1.5.1+dfsg-2) unstable; urgency=medium

  * Add pympress.desktop file

 -- Christopher Hoskin <mans0954@debian.org>  Thu, 09 Jan 2020 00:40:06 +0000

pympress (1.5.1+dfsg-1) unstable; urgency=low

  * source package automatically created by stdeb 0.8.5
  * Initial release. (Closes: #935151: ITP: pympress -- dual-screen PDF
    reader used for presentations and public talks)
  * diff-ignore egg-info
  * Add gbp.conf for DEP-14
  * Use https://github.com/Cimbali/pympress/ for watch
  * Add minimal copyright to exclude binary files
  * Import new upstream release (1.5.1)
  * Fill out copyright
  * Fill in debian/control
  * Add upstream/metadata
  * Rules-Requires-Root: no
  * Bump to compat 12
  * Update standards to 4.4.1
  * Patches to build documentation
  * Add documentation package
  * Tidy up patch DEP-3 headers
  * Move man page to Section 1
  * Patch spellings in documentation
  * Add script to generate mo files
  * Add superficial test
  * Add missing dependencies for building docs

 -- Christopher Hoskin <mans0954@debian.org>  Sat, 14 Dec 2019 10:10:51 +0000

=== debian/control ===
Source: pympress
Maintainer: Christopher Hoskin <mans0954@debian.org>
Section: misc
Priority: optional
Build-Depends: dh-python, python3-setuptools, python3-all,
 debhelper-compat (= 12), python3-sphinx, python3-recommonmark,
 python3-sphinx-rtd-theme, dh-exec
Standards-Version: 4.4.1
Homepage: https://github.com/Cimbali/pympress/
Rules-Requires-Root: no

Package: pympress
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: simple and powerful dual-screen PDF reader
 Pympress is a little PDF reader written in Python using Poppler for PDF
 rendering and GTK+ for the GUI.
 .
 It is designed to be a dual-screen reader used for presentations and public
 talks, with two displays: the *Content window* for a projector, and the
 *Presenter window* for your laptop.
 .
 It comes with many great features:
   - supports embedded videos
   - text annotations displayed in the presenter window
   - natively supports beamer's *notes on second screen*!

Package: pympress-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: Pympress documentation
 Pympress is a little PDF reader written in Python using Poppler for PDF
 rendering and GTK+ for the GUI.
 .
 It is designed to be a dual-screen reader used for presentations and public
 talks, with two displays: the *Content window* for a projector, and the
 *Presenter window* for your laptop.
 .
 It comes with many great features:
   - supports embedded videos
   - text annotations displayed in the presenter window
   - natively supports beamer's *notes on second screen*!
 .
 This is the documentation package.

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.8.5 at
# Wed, 04 Sep 2019 20:10:51 +0100
export PYBUILD_NAME=pympress

include /usr/share/dpkg/pkg-info.mk

PYTHON3_VERSIONS = $(shell py3versions -r)

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	debian/genmo.sh
	dh_auto_build
	PYTHONPATH=. python3 -m sphinx -N -bhtml docs/ build/html # HTML generator
	PYTHONPATH=. python3 -m sphinx -N -bman docs/ build/man # Manpage generator

override_dh_auto_install:
	dh_auto_install
	set -ex; for python in $(PYTHON3_VERSIONS); do \
		$$python setup.py install --root=$(CURDIR)/debian/$(DEB_SOURCE) --install-layout=deb; \
	done

=== debian/tests/control ===
Test-Command: set -e ; for py in $(py3versions -r 2>/dev/null) ; do cd "$AUTOPKGTEST_TMP" ; echo "Testing with $py:" ; $py -c "import pympress; print(pympress)" ; done
Depends: python3-all, pympress
Restrictions: allow-stderr, superficial
Features: test-name=autodep8-python3

=== debian/watch ===
version=4
opts=repacksuffix=+dfsg,\
  repack,\
  compression=xz,\
  dversionmangle=s/\+dfsg$//,\
  filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/pympress-$1\.tar\.gz/ \
  https://github.com/Cimbali/pympress/tags .*/v?(\d\S+)\.tar\.gz

## pympress 1.5.3+dfsg

=== debian/changelog ===
pympress (1.5.3+dfsg-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Fri, 22 Jan 2021 02:38:27 -0500

pympress (1.5.3+dfsg-1) unstable; urgency=medium

  * Fix "pympress needs source upload for Python 3.9 transition"
    Source upload (Closes: #976773)
  * Import new upstream release (1.5.3)
  * Drop patches merged upstream (0003 and 0004)
  * Rebase patches (0001 and 0002)
  * Remove Debian pympress.desktop and icons

 -- Christopher Hoskin <mans0954@debian.org>  Fri, 15 Jan 2021 07:16:49 +0000

pympress (1.5.1+dfsg-4) unstable; urgency=medium

  * Fix "Raise an error at start" by adding missing dependencies
    (Closes: #956840)
  * Fix "depends on python3.7" by new upload
    (Closes: #956690)

 -- Christopher Hoskin <mans0954@debian.org>  Thu, 16 Apr 2020 20:41:58 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,27 @@
 Source: pympress
-Maintainer: Christopher Hoskin <mans0954@debian.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Christopher Hoskin <mans0954@debian.org>
 Section: misc
 Priority: optional
 Build-Depends: dh-python, python3-setuptools, python3-all,
  debhelper-compat (= 12), python3-sphinx, python3-recommonmark,
- python3-sphinx-rtd-theme, dh-exec
+ python3-sphinx-rtd-theme
 Standards-Version: 4.4.1
 Homepage: https://github.com/Cimbali/pympress/
 Rules-Requires-Root: no
 
 Package: pympress
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends: ${misc:Depends}, ${python3:Depends},
+ libgtk-3-0,
+ libpoppler-glib8,
+ libcairo2,
+ python3-gi,
+ python3-gi-cairo,
+ gobject-introspection,
+ libgirepository-1.0-1,
+ gir1.2-gtk-3.0,
+ gir1.2-poppler-0.18
 Description: simple and powerful dual-screen PDF reader
  Pympress is a little PDF reader written in Python using Poppler for PDF
  rendering and GTK+ for the GUI.

## pympress 1.6.1

=== debian/changelog ===
pympress (1.6.1-1~mx21+1) mx; urgency=medium

  * Initial packaging for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Tue, 20 Jul 2021 19:19:47 -0400

pympress (1.6.1-1) unstable; urgency=medium

  * Remove repack - no longer required
  * Import new upstream release (1.6.1)
  * Rebase patches (0001 and 0002)
  * Patch README to remove generic privacy breaches
  * Clean .mo files
  * Update copyright
  * Add VCS fields to control
  * Update pympress.lintian-overrides
  * Patch to add keywords to .desktop file
  * Only specify major version in shebang
  * Update compat from 12 to 13
  * Bump Standards-Version from 4.4.1 to 4.5.1 (no change required)
  * Improve control formatting
  * Clean debian/python3-pympress/

 -- Christopher Hoskin <mans0954@debian.org>  Thu, 15 Jul 2021 22:36:37 +0100

=== debian/control ===
--- 
+++ 
@@ -3,25 +3,32 @@
 XSBC-Original-Maintainer: Christopher Hoskin <mans0954@debian.org>
 Section: misc
 Priority: optional
-Build-Depends: dh-python, python3-setuptools, python3-all,
- debhelper-compat (= 12), python3-sphinx, python3-recommonmark,
- python3-sphinx-rtd-theme
-Standards-Version: 4.4.1
+Build-Depends: dh-python,
+               python3-setuptools,
+               python3-all,
+               debhelper-compat (= 13),
+               python3-sphinx,
+               python3-recommonmark,
+               python3-sphinx-rtd-theme
+Standards-Version: 4.5.1
+Vcs-Browser: https://salsa.debian.org/debian/pympress
+Vcs-Git: https://salsa.debian.org/debian/pympress.git
 Homepage: https://github.com/Cimbali/pympress/
 Rules-Requires-Root: no
 
 Package: pympress
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends},
- libgtk-3-0,
- libpoppler-glib8,
- libcairo2,
- python3-gi,
- python3-gi-cairo,
- gobject-introspection,
- libgirepository-1.0-1,
- gir1.2-gtk-3.0,
- gir1.2-poppler-0.18
+Depends: ${misc:Depends},
+         ${python3:Depends},
+         libgtk-3-0,
+         libpoppler-glib8,
+         libcairo2,
+         python3-gi,
+         python3-gi-cairo,
+         gobject-introspection,
+         libgirepository-1.0-1,
+         gir1.2-gtk-3.0,
+         gir1.2-poppler-0.18
 Description: simple and powerful dual-screen PDF reader
  Pympress is a little PDF reader written in Python using Poppler for PDF
  rendering and GTK+ for the GUI.
@@ -38,7 +45,8 @@
 Package: pympress-doc
 Architecture: all
 Section: doc
-Depends: ${sphinxdoc:Depends}, ${misc:Depends}
+Depends: ${sphinxdoc:Depends},
+         ${misc:Depends}
 Description: Pympress documentation
  Pympress is a little PDF reader written in Python using Poppler for PDF
  rendering and GTK+ for the GUI.

=== debian/rules ===
--- 
+++ 
@@ -11,10 +11,12 @@
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+
 override_dh_auto_build: export http_proxy=127.0.0.1:9
 override_dh_auto_build: export https_proxy=127.0.0.1:9
 override_dh_auto_build:
-	debian/genmo.sh
 	dh_auto_build
 	PYTHONPATH=. python3 -m sphinx -N -bhtml docs/ build/html # HTML generator
 	PYTHONPATH=. python3 -m sphinx -N -bman docs/ build/man # Manpage generator
@@ -24,3 +26,6 @@
 	set -ex; for python in $(PYTHON3_VERSIONS); do \
 		$$python setup.py install --root=$(CURDIR)/debian/$(DEB_SOURCE) --install-layout=deb; \
 	done
+	
+override_dh_python3:
+	dh_python3 --shebang=/usr/bin/python3

## pympress 1.7.1

=== debian/changelog ===
pympress (1.7.1-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + pympress-doc: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 27 Nov 2022 14:14:51 +0000

pympress (1.7.1-2) unstable; urgency=medium

  * Fix "Build-Depends: python3.9-doc" changed build dependency to python3-doc
    (Closes: #1011950)

 -- Christopher Hoskin <mans0954@debian.org>  Thu, 04 Aug 2022 19:45:38 +0100

pympress (1.7.1-1) unstable; urgency=medium

  * Import new upstream release (1.7.1)
  * Update patches
  * gbp pq the patches
  * Update intersphinx patch
  * Doc packages now appear to need to be build dependencies
  * Fix "FTBFS: AttributeError: 'Values' object has no attribute
    'tab_width'" by cherry-picking "replace deprecated recommonmark with
    myst-parser" from upstream
  * Replace recommonmark dependency with myst-parser
  * Stop lintian complaining about resiz*
  * Update the README privacy patch
  * Patch docs/options.md to remove generic privacy breaches
  * Update copyright
  * Bump Standards-Version from 4.5.1 to 4.6.0.1 (no change required)

 -- Christopher Hoskin <mans0954@debian.org>  Sun, 30 Jan 2022 20:04:38 +0000

pympress (1.6.1-2) unstable; urgency=medium

  * Change Maintainer to python team, make myself an uploader
  * Update VCS

 -- Christopher Hoskin <mans0954@debian.org>  Tue, 10 Aug 2021 19:28:04 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: pympress
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Christopher Hoskin <mans0954@debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Christopher Hoskin <mans0954@debian.org>
 Section: misc
 Priority: optional
 Build-Depends: dh-python,
@@ -8,11 +8,13 @@
                python3-all,
                debhelper-compat (= 13),
                python3-sphinx,
-               python3-recommonmark,
-               python3-sphinx-rtd-theme
-Standards-Version: 4.5.1
-Vcs-Browser: https://salsa.debian.org/debian/pympress
-Vcs-Git: https://salsa.debian.org/debian/pympress.git
+               python3-myst-parser,
+               python3-sphinx-rtd-theme,
+               python3-cairo-doc,
+               python3-doc
+Standards-Version: 4.6.0.1
+Vcs-Browser: https://salsa.debian.org/python-team/packages/pympress
+Vcs-Git: https://salsa.debian.org/python-team/packages/pympress.git
 Homepage: https://github.com/Cimbali/pympress/
 Rules-Requires-Root: no
 
@@ -47,6 +49,7 @@
 Section: doc
 Depends: ${sphinxdoc:Depends},
          ${misc:Depends}
+Multi-Arch: foreign
 Description: Pympress documentation
  Pympress is a little PDF reader written in Python using Poppler for PDF
  rendering and GTK+ for the GUI.

=== debian/rules ===
--- 
+++ 
@@ -10,9 +10,6 @@
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
 
 override_dh_auto_build: export http_proxy=127.0.0.1:9
 override_dh_auto_build: export https_proxy=127.0.0.1:9

## pympress 1.8.4

=== debian/changelog ===
pympress (1.8.4-1ubuntu1) noble; urgency=medium

  * Update library names in explicit dependencies.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 22 Mar 2024 14:53:43 +1300

pympress (1.8.4-1build2) noble; urgency=medium

  * No-change rebuild against .

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 22 Mar 2024 09:37:58 +1300

pympress (1.8.4-1build1) noble; urgency=medium

  * No-change rebuild against libgtk-3-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Mar 2024 06:14:22 +0000

pympress (1.8.4-1) unstable; urgency=medium

  * Import new upstream release (1.8.4)
  * Drop patch from upstream (0003-Replace-deprecated-recommonmark-with-
    myst-parser)
  * Rebase patches
  * Fix "FTBFS with Sphinx 7.1, docutils 0.20: PermissionError: [Errno
    13] Permission denied: '/sbuild-nonexistent'" new upstream version 
    (Closes: #1042625)

 -- Christopher Hoskin <mans0954@debian.org>  Wed, 13 Dec 2023 03:51:40 +0000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: pympress
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Christopher Hoskin <mans0954@debian.org>
 Section: misc
 Priority: optional
@@ -22,8 +23,8 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends},
-         libgtk-3-0,
-         libpoppler-glib8,
+         libgtk-3-0t64,
+         libpoppler-glib8t64,
          libcairo2,
          python3-gi,
          python3-gi-cairo,

## pympress 1.8.5

=== debian/changelog ===
pympress (1.8.5-2) unstable; urgency=medium

  * Team upload.
  * Use tags (-t) instead of options (-D) to control docs from CLI (closes:
    #1076908).

 -- Colin Watson <cjwatson@debian.org>  Tue, 31 Dec 2024 23:27:16 +0000

pympress (1.8.5-1) unstable; urgency=medium

  * Team upload.
  * Import new upstream release (1.8.5)
  * Bump Standards-Version to 4.7.0.
  * debian/control: Drop explicit dependency to library packages.
    They are now implicitly introduced via gir and gi packages.
    This circumvents the library renaming issue due to 64-bit time_t
    transition.
  * debian/control: Move main package description to the source package
    section.
  * debian/control:
    + Use dh-sequence-python3 instead of dh-python as build-dependency.
    + Add explicit build-dependency for sphinx doc packages with <!nodoc>.
    + Use Built-Using: ${sphinxdoc:Built-Using} field for the doc package.
    + Add suggestion to python3-vlc as non-default optional dependency.
    + Build-depends on pybuild-plugin-pyproject and python3-babel.
  * debian/pympress.lintian-overrides: Drop useless overrides.
  * debian/rules:
    + Do not override dh_auto_install. Use all-default pybuild installation.
    + export $HOME variable to a writable location under debian/ directory
      to circumvent requirements of sphinx build.

 -- Boyuan Yang <byang@debian.org>  Tue, 09 Apr 2024 19:44:49 -0400

=== debian/control ===
Source: pympress
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Christopher Hoskin <mans0954@debian.org>
Section: misc
Priority: optional
Build-Depends: dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-babel,
               python3-setuptools,
               python3-all,
               debhelper-compat (= 13),
               python3-gi <!nodoc>,
               python3-gi-cairo <!nodoc>,
               gobject-introspection,
               gir1.2-gtk-3.0 <!nodoc>,
               gir1.2-poppler-0.18 <!nodoc>,
               gir1.2-gstreamer-1.0 <!nodoc>,
               python3-sphinx <!nodoc>,
               python3-myst-parser,
               python3-sphinx-rtd-theme <!nodoc>,
               python3-cairo-doc <!nodoc>,
               python3-vlc <!nodoc>,
               python3-doc
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/pympress
Vcs-Git: https://salsa.debian.org/python-team/packages/pympress.git
Homepage: https://github.com/Cimbali/pympress/
Rules-Requires-Root: no
Description: simple and powerful dual-screen PDF reader
 Pympress is a little PDF reader written in Python using Poppler for PDF
 rendering and GTK+ for the GUI.
 .
 It is designed to be a dual-screen reader used for presentations and public
 talks, with two displays: the *Content window* for a projector, and the
 *Presenter window* for your laptop.
 .
 It comes with many great features:
   - supports embedded videos
   - text annotations displayed in the presenter window
   - natively supports beamer's *notes on second screen*!

Package: pympress
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-gi,
         python3-gi-cairo,
         gobject-introspection,
         libgirepository-1.0-1,
         gir1.2-gtk-3.0,
         gir1.2-poppler-0.18
Suggests: python3-vlc
Description: ${source:Synopsis}
 ${source:Extended-Description}

Package: pympress-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends},
         ${misc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Multi-Arch: foreign
Description: Pympress documentation
 ${source:Extended-Description}
 .
 This is the documentation package.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pympress
export PYBUILD_DESTDIR_python3 = debian/pympress/

# Needed by sphinx build
export HOME=$(CURDIR)/debian/fakehome/

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. python3 -m sphinx -N -bhtml docs/ build/html -t api_doc -t install_instructions # HTML generator
	PYTHONPATH=. python3 -m sphinx -N -bman docs/ build/man # Manpage generator

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3
